Subject: Report of use of "local" per t0000-basic.sh

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 22 Nov 2019 14:04:19 -0500

Hi All,

Based on the note in t0000-basic.sh below, I am just letting you know that I
have encountered a lack of support for the "local" on the z/OS 2.3 USS
platform except within a function. I thought you might want to know.

There are a other things that do not work, particularly preservation of the
value of $? across { } so test_eval_ does not work properly - I had to patch
it for the tests to catch non-zero completion codes. I had to move to bash
to get much of the test infrastructure. The other item that does not work is
the negative lazy prerequisites, so no tests that depend on that.

I am not contemplating submitting any patches for this situation at this
time because of other pretty significant encoding issues on the platform,
but thought the group might want to know about this.

Cheers,
Randall

-- Brief whoami:
 NonStop developer since approximately 211288444200000000
 UNIX developer since approximately 421664400
-- In my real life, I talk too much.

# This test is an experiment to check whether any Git users are using
# Shells that don't support the "local" keyword. "local" is not
# POSIX-standard, but it is very widely supported by POSIX-compliant
# shells, and if it doesn't cause problems for people, we would like
# to be able to use it in Git code.
#
# For now, this is the only test that requires "local". If your shell
# fails this test, you can ignore the failure, but please report the
# problem to the Git mailing list <[email-masked]>, as it might
# convince us to continue avoiding the use of "local".
test_expect_success 'verify that the running shell supports "local"' '
	x="notlocal" &&
	echo "local" >expected1 &&
	try_local_x >actual1 &&
	test_cmp expected1 actual1 &&
	echo "notlocal" >expected2 &&
	echo "$x" >actual2 &&
	test_cmp expected2 actual2
'